/* stylelint-disable selector-class-pattern */

.know-this-fund .the-ring-chart-container {
  width: 100%;
  border-radius: 8px;
}

.know-this-fund .ring-chart-main-div {
  margin-top: 16px;
}

.know-this-fund .know-this-fund-date-title {
  display: flex;
  justify-content: space-between;
  align-items: center;
  flex-wrap: wrap;
  width: 100%;
}

.know-this-fund .know-this-fund-date-title span {
  color: var(--color-text-primary);
  font-size: 16px;
  font-weight: var(--font-weight-semibold);
  line-height: 22px;
}

.know-this-fund:has(.ring-chart-toggle-container.level-1) .the-ring-chart-container {
  margin-top: 50px;
}

.know-this-fund .ring-chart-and-legend {
  margin-top: 20px;
  display: flex;
  padding-top: 20px; 
  background-color: var(--color-white);
  align-items: center;
  justify-content: space-between;
  gap: 30px;
  border-radius: 8px;
  box-shadow: 2px 4px 22px 0 rgb(0 0 0 / 12%);
}

.know-this-fund:has(.ring-chart-no-items-found) .ring-chart-and-legend {
  display: none;
}

.know-this-fund .ring-chart-and-legend > div {
  flex: 1;
}

.know-this-fund .toggle-switches {
  position: relative;
}

.know-this-fund .ring-chart-toggle-container {
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: var(--color-light-gray-6);
  border-radius: 20px;
  width: fit-content;
}

.know-this-fund .ring-chart-toggle-container.level-1 {
  position: absolute;
  top: 70px;
  left: 50%;
  transform: translateX(-50%);
  z-index: 9;
}

.know-this-fund .ring-chart-toggle-button {
  flex: 1;
  padding: 8px 14px;
  cursor: pointer;
  border: none;
  outline: none;
  font-size: 12px;
  font-weight: 500;
  border-radius: 20px;
  transition: all 0.3s ease;
  overflow: visible;
  text-transform: none;
}

.know-this-fund .ring-chart-toggle-active,
.know-this-fund.ring-chart-toggle-active:hover {
  background-color: var(--brand-sky-blue-color-600);
  color: var(--color-white);
}

.know-this-fund .ring-chart-toggle-inactive,
.know-this-fund .ring-chart-toggle-inactive:hover {
  background-color: transparent;
  color: var(--color-text-primary);
}

.know-this-fund .ring-chart-no-items-found {
  background: var(--color-white);
  padding: 20px;
  border-radius: 8px;
  box-shadow: 2px 4px 22px 0 rgb(0 0 0 / 12%);
  margin-top: 24px;
  text-align: center;
}

.know-this-fund:has(.ring-chart-toggle-container.level-1) .ring-chart-no-items-found {
  padding: 70px 20px 20px;
}


@media (width <= 600px){
  .know-this-fund .ring-chart-toggle-container.level-1 {
    max-width: calc(100% - 16px);
    overflow-x: auto;
    justify-content: flex-start;
    scrollbar-width: none;
  }

  .know-this-fund .ring-chart-toggle-container.level-1::-webkit-scrollbar{
    display: none;
  }
}